"""
Separate the In-house_sRNAsV3.fasta file
into individual files containing a single
sRNA for TargetRNA3
"""

import os

def main():
    path = os.getcwd()[:-7]
    individuals = path + "sRNA data/Individual sRNA fastas/"
    sRNAs = path + "sRNA data/In-house_sRNAsV3.fasta"
    with open(sRNAs) as infile:
        line = infile.readline()
        while line:
            name = line
            sequence = infile.readline()
            infile.readline()
            M_name = name[1:].split(":")[0]
            outfilename = individuals + M_name + ".fasta"
            with open(outfilename, "w") as outfile:
                outfile.write(name)
                outfile.write(sequence)
            line = infile.readline()

main()